2017-03-24 00:06 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003427Kali Linux[All Projects] Tool Upgradepublic2016-07-21 07:26
ReporterUNATCO 
Assigned Tosbrun 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.1 
Target VersionFixed in Version2016.2 
Summary0003427: Bettercap V. 1.5.6 Available - Fixes Kali Issues
DescriptionKali repos contain 1.5.3; which is 3 releases old now.

https://www.bettercap.org/changelog/

v1.5.6 ( 2016-07-15 )

New Features

    Fixes 0000252: new TeamViewer sniffer module.

Fixes

    Fixes 0000256: Bumped colorize version to 0.8
    Fixes 0000241: Exception due to invalid byte sequence in utf-8 when bettercap logger is trying to write to log file.
    Fixed Formatting
    Fixes 0000235 : HTTPS proxy unable to ignore invalid server certificate.
    Make sure Kali is updated before installing Bettercap
    Included correct install instructions for Bettercap on Kali.
    Use sub! with block to avoid strange sub! behaviour when data contains the sequence backslash-backtick
    Adding proper timeouts while fetching HTTPS certificates.

Code Style

    Rescue syntax for udp_socket.rb
    Refactor equals? at target.rb
    Rescue syntax for packet_queue.rb
    Line fold and rescue syntax in httpd.rb
    Simplify if statements for teamviewer.rb
    Simplify if statements for dhcp.rb
    Rescue syntax on firewalls/bsd.rb
    Formatting
    Doc update
Attached Files

-Relationships
+Relationships

-Notes

~0005568

sbrun (developer)

new version 1.5.6.-0kali1 is now in kali-rolling
+Notes

-Issue History
Date Modified Username Field Change
2016-07-18 23:13 UNATCO New Issue
2016-07-19 15:04 rhertzog Assigned To => sbrun
2016-07-19 15:04 rhertzog Status new => assigned
2016-07-21 07:26 sbrun Note Added: 0005568
2016-07-21 07:26 sbrun Status assigned => resolved
2016-07-21 07:26 sbrun Resolution open => fixed
2016-07-21 07:26 sbrun Fixed in Version => 2016.2
+Issue History